Bug 729084 - GUI allows an Agent plugin which other plugins depend on to be deleted, without requiring the user to also delete the plugins that depend on it
GUI allows an Agent plugin which other plugins depend on to be deleted, witho...
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-08-08 13:11 EDT by Ian Springer
Modified: 2013-08-05 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-19 22:01:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-08-08 13:11:11 EDT
For example, the Augeas plugin,which a bunch of other plugins (Apache, Cron, etc.) depend on, can be deleted. The GUI should do dependency checking and not allow a plugin to be deleted unless the user also deletes all other plugins that depend on that plugin.
Comment 1 Charles Crouch 2011-10-06 15:00:32 EDT
Setting as improvement. For JON3 we will make sure when deleting a plugin users 
are prompted to verify what they are doing
Comment 2 Charles Crouch 2011-10-07 14:28:07 EDT
Added link to https://bugzilla.redhat.com/show_bug.cgi?id=683543, which is 
where we will be putting the plugin deletion warning.
Comment 3 John Mazzitelli 2011-10-19 22:01:54 EDT
I just tried this and its working as expected. I selected the JBossAS plugin and tried to both delete it and disable it. Both times I got appropriate error messages:

You must delete the following dependent plugins also: [JBossCache 2.x Services, mod_cluster, RHQ Server, Hibernate Services]

You must disable the following dependent plugins also: [JBossCache 2.x Services, mod_cluster, RHQ Server, Hibernate Services]

For the plugin specifically mentioned in the description of this BZ, the Augeas plugin, I attempted to disable it and got this:

You must disable the following dependent plugins also: [Aliases, Sudo Access, Cobbler, Samba, Hosts, Postfix, Cron, Apache HTTP Server]

I tried deleting it and got this:

You must delete the following dependent plugins also: [Aliases, Sudo Access, Cobbler, Samba, Hosts, Postfix, Cron, Apache HTTP Server]

This appears to be working as expected.

Note You need to log in before you can comment on or make changes to this bug.